## visad.collab
Class RemoteEventProviderImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  visad.collab.RemoteEventProviderImpl

All Implemented Interfaces:
  Remote, RemoteEventProvider, Serializable

public class RemoteEventProviderImpl
extends UnicastRemoteObject
implements RemoteEventProvider

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`RemoteEventProviderImpl(MonitorSyncer syncer)`

Method Summary
`MonitorEvent` `getEvent(Object key)`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteEventProviderImpl

    public RemoteEventProviderImpl(MonitorSyncer syncer)
                            throws RemoteException

Method Detail

### getEvent

    public MonitorEvent getEvent(Object key)
                          throws RemoteException,
                                 RemoteVisADException

  Specified by:
    `getEvent` in interface `RemoteEventProvider`
  Throws:
    `RemoteException`
    `RemoteVisADException`